Subject: Re: [U-Boot] NAND only (no NOR)

From: Alessandro Rubini <[email-masked]>
Date: Tue, 2 Dec 2008 10:31:14 +0100

Disclaimer: I'm not running ppc these days

> However, having no NOR flash means:
>   - NAND should be programmable via JTAG (BDI3000 doesn't support
>     this, Lauterbach/trace32 does)

My personal preference for bringing up a new board is placing u-boot
in RAM using the available information to setup SDRAM from the jtag
tool (or, better, place the initial boot code the manufacturer give
you in static memory, and jump to is with a breakpoint in the right
place).

While my debugger is able to write flash, I've always found it easier
to do that from u-boot itself. Besides, I can fix my u-boot in RAM
without the lengthy erase-reprogram cycles.

If you work like this, it's irrelevant whether it is nor, nand or dataflash
or whatever, as long as u-boot is able to manage it.

hope this helps
/alessandro